| Home | Libraries | People | FAQ | More

###### basic_format_context::basic_format_context (1 of 3 overloads)

Constructor.

###### Synopsis

    explicit
    basic_format_context(
        format_options opts);

###### Description

Uses a default-constructed `OutputString` as output string, and an empty error code as error state. This constructor can only be called if `OutputString` is default-constructible.

###### Exception safety

Strong guarantee: exceptions thrown by default-constructing `OutputString` are propagated.